compact2, compact3
org.w3c.dom.ls

## Interface LSSerializerFilter

- All Superinterfaces:
    org.w3c.dom.traversal.NodeFilter

      public interface LSSerializerFilter
      extends org.w3c.dom.traversal.NodeFilter

  `LSSerializerFilter`s provide applications the ability to examine nodes as they are being serialized and decide what nodes should be serialized or not. The `LSSerializerFilter` interface is based on the `NodeFilter` interface defined in [DOM Level 2 Traversal and Range] .

  `Document`, `DocumentType`, `DocumentFragment`, `Notation`, `Entity` , and children of `Attr` nodes are not passed to the filter. The child nodes of an `EntityReference` node are only passed to the filter if the `EntityReference` node is skipped by the method `LSParserFilter.acceptNode()`.

  When serializing an `Element`, the element is passed to the filter before any of its attributes are passed to the filter. Namespace declaration attributes, and default attributes (except in the case when " discard-default-content" is set to `false`), are never passed to the filter.

  The result of any attempt to modify a node passed to a `LSSerializerFilter` is implementation dependent.

  DOM applications must not raise exceptions in a filter. The effect of throwing exceptions from a filter is DOM implementation dependent.

  For efficiency, a node passed to the filter may not be the same as the one that is actually in the tree. And the actual node (node object identity) may be reused during the process of filtering and serializing a document.

  See also the Document Object Model (DOM) Level 3 Load and Save Specification.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.traversal.NodeFilter

      `FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP, SHOW_ALL, SHOW_ATTRIBUTE, SHOW_CDATA_SECTION, SHOW_COMMENT, SHOW_DOCUMENT, SHOW_DOCUMENT_FRAGMENT, SHOW_DOCUMENT_TYPE, SHOW_ELEMENT, SHOW_ENTITY, SHOW_ENTITY_REFERENCE, SHOW_NOTATION, SHOW_PROCESSING_INSTRUCTION, SHOW_TEXT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getWhatToShow()` Tells the `LSSerializer` what types of nodes to show to the filter.

    - ### Methods inherited from interface org.w3c.dom.traversal.NodeFilter

      `acceptNode`

- - ### Method Detail

    - #### getWhatToShow

          int getWhatToShow()

      Tells the `LSSerializer` what types of nodes to show to the filter. If a node is not shown to the filter using this attribute, it is automatically serialized. See `NodeFilter` for definition of the constants. The constants `SHOW_DOCUMENT` , `SHOW_DOCUMENT_TYPE`, `SHOW_DOCUMENT_FRAGMENT` , `SHOW_NOTATION`, and `SHOW_ENTITY` are meaningless here, such nodes will never be passed to a `LSSerializerFilter`.
      Unlike [DOM Level 2 Traversal and Range] , the `SHOW_ATTRIBUTE` constant indicates that the `Attr` nodes are shown and passed to the filter.
      The constants used here are defined in [DOM Level 2 Traversal and Range] .

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.